Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deDriverLoad Class Reference

`#include <deDriver_priv.hpp>`

Inheritance diagram for deDriverLoad:

[legend]
Collaboration diagram for deDriverLoad:

[legend]
List of all members.

## Public Member Functions
| deDriverLoad::deDriverLoad (char const *Path)
long | Release ()
long | GetCount ()
| get the number of drivers found
const deDriverInfo * | GetInfo (long DriverNumber)
const deDriverInfo * | GetInfo (char *DriverName)
IdeDriver * | GetDriver (long DriverNumber)
| get an instance of an enumerated driver
IdeDriver * | GetDriver (char *DriverName)
## Protected Member Functions
| deDriverLoad::~deDriverLoad ()
## Private Types
typedef deDriverLoad::DriverEntry | DriverEntry
## Private Member Functions
DriverEntry * | GetEntry (long EntryNumber)
DriverEntry * | GetEntry (char *DriverName)
## Private Attributes
DriverEntry * | m_DriverList
long | m_DriverCount
long | m_UniqueDriverID

## Member Typedef Documentation

typedef struct deDriverLoad::DriverEntry deDriverLoad::DriverEntry`[private]`

## Constructor & Destructor Documentation

deDriverLoad::deDriverLoad::~deDriverLoad | ( |  | ) | `[protected]`

## Member Function Documentation

deDriverLoad::deDriverLoad::deDriverLoad | ( | char const * | Path | ) |

long deDriverLoad::GetCount | ( |  | ) | `[virtual]`

| get the number of drivers found Implements IdeDriverLoad.

IdeDriver * deDriverLoad::GetDriver | ( | char * | DriverName | ) | `[virtual]`

| Implements IdeDriverLoad.

IdeDriver * deDriverLoad::GetDriver | ( | long | DriverNumber | ) | `[virtual]`

| get an instance of an enumerated driver Implements IdeDriverLoad.

deDriverLoad::DriverEntry * deDriverLoad::GetEntry | ( | char * | DriverName | ) | `[private]`

deDriverLoad::DriverEntry * deDriverLoad::GetEntry | ( | long | EntryNumber | ) | `[private]`

const deDriverInfo * deDriverLoad::GetInfo | ( | char * | DriverName | ) | `[virtual]`

| Implements IdeDriverLoad.

const deDriverInfo * deDriverLoad::GetInfo | ( | long | DriverNumber | ) | `[virtual]`

| Implements IdeDriverLoad.

long deDriverLoad::Release | ( |  | ) | `[virtual]`

| Implements IdeDriverLoad.

## Member Data Documentation

long deDriverLoad::m_DriverCount`[private]`

DriverEntry* deDriverLoad::m_DriverList`[private]`

long deDriverLoad::m_UniqueDriverID`[private]`

The documentation for this class was generated from the following files:

- deDriver_priv.hpp
- DriverLoad.cpp